<template>
  <div class='container'>
    <h1 class='title'>Hello, my name is {{ name }}.</h1>
    <p class='subtitle'>I am a Freelance Interaction Designer, based in Cape Town. Erfasse Projekte: {{ projects.length }}</p>
    <table class='table table-sm'>
      <thead>
      <tr>
          <td><strong>ID</strong></td>
          <td><strong>Kunde</strong></td>
        </tr>
      </thead>
      <tbody>
      <tr v-for='project in projects'>
        <td>{{ project.id }}</td><td>{{ project.acf.customer }}</td>
      </tr>
      </tbody>
    </table>
    </div>
    </ul>
  </div>
</template>

<script>
	export default {
      data: function() {
        return {
            name: 'Marc Fehr'
          }
      },
      async asyncData({ app }) {
          const projects = await app.$axios.$get('http://175339-1.web1.fh-htwchur.ch/wp-json/wp/v2/projekte')
          console.log(projects)
          return { projects }
      }
}
</script>

<style>
.container {
  min-height: 100vh;
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  align-content: center;
}

.title {
  font-family: 'Arial', sans-serif;
  display: block;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 2px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}
</style>
